<%@ page import="com.atlassian.crowd.integration.Constants" %>
<%@ page import="com.atlassian.crowd.util.build.BuildUtils" %>
<%@ taglib uri="sitemesh-decorator" prefix="decorator" %>
<%@ taglib uri="/webwork" prefix="ww" %>
<ww:action namespace="/console" name="baseaction" >
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>

    <decorator:usePage id="sitemeshPage"/>

    <title>
        <ww:property value="getText('application.title')"/>
        - 
        <decorator:title/>
    </title>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
    <meta name="author" content="Atlassian"/>
    <meta name="robots" content="all"/>

    <meta name="MSSmartTagsPreventParsing" content="true"/>
    <meta name="description" content=""/>
    <meta name="keywords" content=""/>

    <link rel="shortcut icon" href="<ww:url value="/console/favicon.ico" includeParams="none"/>">

    <decorator:head/>

    <style type="text/css" media="all">
        @import "<ww:url value="/console/style/main.css" includeParams="none"/>";
        @import "<ww:url value="/console/style/forms.css" includeParams="none"/>";
        @import "<ww:url value="/console/style/idx-legacy.css" includeParams="none"/>";
    </style>

    <ww:if test="licenseExpired == true || evaluation == true">
        <style type="text/css" xml:space="preserve">
            #footer
            {
                background-image: url(../images/license_required.gif);
                background-color: #CC3333;
            }
        </style>
    </ww:if> 

</head>

<body onload="<decorator:getProperty property="body.onload" />">

<ul id="top">
    <li id="skipNav">
        <a href="#menu">Skip to navigation</a>
    </li>
    <li>
        <a href="#content">Skip to content</a>
    </li>
</ul>
<div id="nonFooter">

    <div id="header">
        <div id="logo">
            <a href="<ww:url value="/console" includeParams="none"/>"><img alt="<%=Constants.APPLICATION_NAME%>" src="<ww:url value="/console/images/logo.gif" includeParams="none"/>" height="36" width="118"/></a>
        </div>

        <ul id="userOptions">
            <ww:if test="authenticated == true">
                <li id="userInfo">
                    <ww:property value="getText('user.label')"/>:&nbsp;<strong>
                    <ww:property value="principalName"/>
                </strong>
                </li>

                <li id="profileLink">
                    <a href="<ww:url namespace="/console" action="logoff" includeParams="none"/>">
                        <ww:property value="getText('menu.logout.label')"/>
                    </a>
                </li>
            </ww:if>
            <li id="help">
                <a href="<%=Constants.DOCUMENTATION_URL%>">
                    <ww:property value="getText('menu.documentation.label')"/>
                </a>
            </li>
        </ul>
    </div>
    <!-- END #header -->

    <div id="menu">
        <ul>
            <ww:if test="authenticated == true ">
                <li <% if ("home".equals(sitemeshPage.getProperty("meta.section"))) { %> class="on"<% } %>>
                <a href="<ww:url value="/console" includeParams="none" />"><ww:property value="getText('menu.home.label')"/></a>
                </li>
                <li <% if ("applications".equals(sitemeshPage.getProperty("meta.section"))) { %> class="on"<% } %>>
                    <a href="<ww:url namespace="/console/secure/application" action="browseapplications" includeParams="none" />"><ww:property value="getText('menu.application.label')"/></a>
                </li>
                <li <% if ("principals".equals(sitemeshPage.getProperty("meta.section"))) { %> class="on"<% } %>>
                    <a href="<ww:url namespace="/console/secure/principal" action="browseprincipals" includeParams="none" />"><ww:property value="getText('menu.principal.label')"/></a>
                </li>
                <li <% if ("groups".equals(sitemeshPage.getProperty("meta.section"))) { %> class="on"<% } %>>
                    <a href="<ww:url namespace="/console/secure/group" action="browsegroups" includeParams="none" />"><ww:property value="getText('menu.group.label')"/></a>
                </li>
                <li <% if ("roles".equals(sitemeshPage.getProperty("meta.section"))) { %> class="on"<% } %>>
                    <a href="<ww:url namespace="/console/secure/role" action="browseroles" includeParams="none" />"><ww:property value="getText('menu.role.label')"/></a>
                </li>
                <li <% if ("sessions".equals(sitemeshPage.getProperty("meta.section"))) { %> class="on"<% } %>>
                    <a href="<ww:url namespace="/console/secure/session" action="browseprincipalsessions" includeParams="none"/>"><ww:property value="getText('menu.session.label')"/></a>
                </li>
                <li <% if ("directories".equals(sitemeshPage.getProperty("meta.section"))) { %> class="on"<% } %>>
                    <a href="<ww:url namespace="/console/secure/directory" action="browsedirectories" includeParams="none" />"><ww:property value="getText('menu.directory.label')"/></a>
                </li>
                <li <% if ("options".equals(sitemeshPage.getProperty("meta.section"))) { %> class="on"<% } %>>
                    <a href="<ww:url namespace="/console/secure/options" action="view"  includeParams="none" />"><ww:property value="getText('menu.options.label')"/></a>
                </li>
                <li <% if ("systeminfo".equals(sitemeshPage.getProperty("meta.section"))) { %> class="on"<% } %>>
                    <a href="<ww:url namespace="/console/secure/options" action="systeminfo"  includeParams="none" />"><ww:property value="getText('menu.info.label')"/></a>
                </li>
                <li <% if ("backup".equals(sitemeshPage.getProperty("meta.section"))) { %> class="on"<% } %>>
                    <a href="<ww:url namespace="/console/secure/admin" action="backup"  includeParams="none" />"><ww:property value="getText('menu.backup.label')"/></a>
                </li>
            </ww:if>
        </ul>
    </div>
    <!-- END #menu -->

    <div id="content">
        <decorator:body/>
    </div>
    <!-- END #content -->
</div>

<div id="footer">
    <p>
        <ww:text name="footer.poweredby"/> <a href="http://confluence.atlassian.com/display/CROWD"><ww:text name="application.title"/></a>
        <ww:text name="common.words.version"/>  <%= BuildUtils.BUILD_VERSION %> (Build #<%= BuildUtils.BUILD_NUMBER %>: <%= BuildUtils.BUILD_DATE %>)
        <ww:if test="evaluation == true"><ww:text name="license.runningevaluation" /></ww:if>&nbsp;
        <ww:if test="licenseExpired == true"><ww:text name="license.expired"/></ww:if>
    </p>
    <ul>
        <li class="first">
            <a href="http://jira.atlassian.com/browse/CWD"><ww:text name="support.bug"/></a>
        </li>
        <li>
            <a href="http://jira.atlassian.com/browse/CWD"><ww:text name="support.feature"/></a>
        </li>
        <li>
            <a href="http://www.atlassian.com/about/contact.jsp"><ww:text name="support.contact"/></a>
        </li>
    </ul>
</div>
<!-- END #nonFooter -->

<!-- END #footer -->

</body>

</html>
</ww:action>