<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="/webwork" prefix="ww" %>
<html>
<head>
    <title>
    <ww:property value="getText('menu.backup.label')"/></title>
    <meta name="section" content="backup" />
</head>

    <body onload="init();">

        <jsp:include page="../../decorator/javascript_tabs.jsp">
                <jsp:param name="totalTabs" value="2" />
        </jsp:include>

            <h2><ww:property value="getText('menu.backup.label')"/></h2>

            <div class="page-content">
                <ul class="tabs">
                    <li class="on" id="hreftab1">
                        <a href="javascript:processTabs(1);">
                            <ww:property value="getText('administration.backup.title')"/>
                        </a>
                    </li>
                    <li id="hreftab2">
                        <a href="javascript:processTabs(2);" >
                            <ww:property value="getText('administration.restore.title')"/>
                        </a>
                    </li>
                </ul>

                <div class="tabContent" id="tab1">

                    <div class="crowdForm">
                        <form method="post" action="<ww:url namespace="/console/secure/admin" action="backup" method="export" includeParams="none" />" name="import">
                            <div class="formBody">

                                <p><ww:text name="administration.backup.text"/></p>

                                <ww:if test="exportResponseMessage != null" >
                                    <p class="success"><ww:property value="exportResponseMessage"/></p>
                                </ww:if>

                                <ww:include value="/console/include/generic_errors.jsp"/>

                                <input type="hidden" name="tab" value="1" />

                                <ww:textfield name="exportFilePath" size="50">
                                    <ww:param name="label" value="getText('administration.backup.filepath.label')"/>
                                </ww:textfield>

                            </div>
                            <div class="formFooter wizardFooter">

                                <div class="buttons">
                                    <input type="submit" class="button" value="<ww:property value="getText('submit.label')"/> &raquo;"/>
                                </div>
                            </div>

                        </form>

                    </div>

                </div>

                <div class="tabContent" id="tab2">

                    <div class="crowdForm">
                        <form method="post" action="<ww:url namespace="/console/secure/admin" action="backup" method="import" includeParams="none" />" name="export">
                            <div class="formBody">

                                <p><ww:text name="administration.restore.text"/></p>

                                <p class="noteBox"><ww:text name="administration.restore.warning.text"/></p>

                                <ww:if test="importResponseMessage != null" >
                                    <p class="success"><ww:property value="importResponseMessage"/></p>
                                </ww:if>
                                
                                <ww:include value="/console/include/generic_errors.jsp"/>

                                <input type="hidden" name="tab" value="2" />

                                <ww:textfield name="importFilePath" size="50">
                                    <ww:param name="label" value="getText('administration.restore.filepath.label')"/>
                                </ww:textfield>

                            </div>
                            <div class="formFooter wizardFooter">

                                <div class="buttons">
                                    <input type="submit" class="button" value="<ww:property value="getText('submit.label')"/> &raquo;"/>
                                </div>
                            </div>

                        </form>
                    </div>

                </div>

            </div>
    </body>
</html>