<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="/webwork" prefix="ww" %>
<html>
<head>
    <title>
    <ww:property value="getText('options.title')"/></title>
    <meta name="section" content="options" /> 
</head>

    <body onload="init();">

        <jsp:include page="../../decorator/javascript_tabs.jsp">
                <jsp:param name="totalTabs" value="6" />
        </jsp:include>

            <h2><ww:property value="getText('menu.options.label')"/></h2>

            <div class="page-content">
                <ul class="tabs">
                    <li class="on" id="hreftab1">
                        <a href="javascript:processTabs(1);">
                            <ww:property value="getText('options.caching.label')"/>
                        </a>
                    </li>
                    <li id="hreftab2">
                        <a href="javascript:processTabs(2);" >
                            <ww:property value="getText('options.general.label')"/>
                        </a>
                    </li>
                    <li id="hreftab3">
                        <a href="javascript:processTabs(3);" >
                            <ww:property value="getText('options.licesing.label')"/>
                        </a>
                    </li>
                    <li id="hreftab4">
                        <a href="javascript:processTabs(4);" >
                            <ww:property value="getText('options.mailserver.label')"/>
                        </a>
                    </li>
                    <li id="hreftab5">
                        <a href="javascript:processTabs(5);" >
                            <ww:property value="getText('options.mailtemplate.label')"/>
                        </a>
                    </li>
                    <li id="hreftab6">
                        <a href="javascript:processTabs(6);">
                            <ww:property value="getText('options.session.label')"/>
                        </a>
                    </li>
                </ul>

                <div class="tabContent" id="tab1">

                    <div class="crowdForm">
                        <form method="post" action="<ww:url namespace="/console/secure/options" action="caching" includeParams="none" />" name="caching">
                            <div class="formBody">

                                <ww:include value="/console/include/generic_errors.jsp"/>

                                <input type="hidden" name="tab" value="1" />

                                <ww:checkbox name="enabled" fieldValue="true" >
                                    <ww:param name="label" value="getText('caching.enabled.label')" />
                                    <ww:param name="description"><ww:property value="getText('caching.enabled.description')"/></ww:param>
                                </ww:checkbox>

                                <ww:textfield name="time">
                                    <ww:param name="label" value="getText('caching.time.label')"/>
                                    <ww:param name="description"><ww:property value="getText('caching.time.description')"/></ww:param>
                                </ww:textfield>

                            </div>
                            <div class="formFooter wizardFooter">

                                <div class="buttons">
                                    <input type="submit" class="button" value="<ww:property value="getText('update.label')"/> &raquo;"/>
                                    <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>" onClick="window.location='<ww:url namespace="/console/secure/options" action="view" method="default" includeParams="none" ><ww:param name="tab" value="1"/></ww:url>';"/>
                                </div>
                            </div>

                        </form>

                    </div>

                </div>

                <div class="tabContent" id="tab2">

                    <div class="crowdForm">
                        <form method="post" action="<ww:url namespace="/console/secure/options" action="general" includeParams="none"/>" name="general">
                            <div class="formBody">
                                <ww:include value="/console/include/generic_errors.jsp"/>

                                <input type="hidden" name="tab" value="2" />

                                <ww:textfield name="title" >
                                    <ww:param name="label" value="getText('options.title.label')" />
                                    <ww:param name="description" value="getText('options.title.description')" />
                                </ww:textfield>

                                <ww:textfield name="domain" >
                                    <ww:param name="label" value="getText('options.domain.label')" />
                                    <ww:param name="description"><ww:property value="getText('options.domain.description')"/></ww:param>
                                </ww:textfield>

                                <ww:textfield name="seed" >
                                    <ww:param name="label" value="getText('options.seed.label')" />
                                    <ww:param name="description"><ww:property value="getText('options.seed.description')"/></ww:param>
                                </ww:textfield>
                            </div>

                            <div class="formFooter wizardFooter">

                                <div class="buttons">
                                    <input type="button" class="button" value="<ww:property value="getText('generate.label')"/>" onclick="document.general.action='<ww:url namespace="/console/secure/options" action="generate" includeParams="none"/>';document.general.submit();" />
                                    <input type="submit" class="button" value="<ww:property value="getText('update.label')"/> &raquo;"/>
                                    <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>" onClick="window.location='<ww:url namespace="/console/secure/options" action="view" method="default" includeParams="none"><ww:param name="tab" value="2"/></ww:url>';"/>
                                </div>
                            </div>

                        </form>

                    </div>

                </div>

                <div class="tabContent" id="tab3">

                    <div class="crowdForm">
                        <form method="post" action="<ww:url namespace="/console/secure/options" action="licensing" includeParams="none"/>" name="licensing">
                            <div class="formBody">
                                <ww:include value="/console/include/generic_errors.jsp"/>

                                <ww:include value="/console/include/generic_form_row.jsp">
                                    <ww:param name="label" value="getText('license.organization.label')" />
                                    <ww:param name="value">
                                            <ww:property value="license.organisation" />
                                    </ww:param>
                                </ww:include>

                                <ww:include value="/console/include/generic_form_row.jsp">
                                    <ww:param name="label" value="getText('license.type.label')" />
                                    <ww:param name="value">
                                            <ww:property value="license.licenseType" />
                                    </ww:param>
                                </ww:include>

                                <ww:include value="/console/include/generic_form_row.jsp">
                                    <ww:param name="label" value="getText('license.datepurchased.label')" />
                                    <ww:param name="value">
                                            <ww:date format="EEEE, dd MMM yyyy" name="license.datePurchased"/>
                                    </ww:param>
                                </ww:include>

                                <ww:include value="/console/include/generic_form_row.jsp">
                                    <ww:param name="label" value="getText('license.supportperiod.label')" />
                                    <ww:param name="value">
                                            <ww:property value="getText('license.supportperiod.description')"/>&nbsp;<strong><ww:date format="EEEE, dd MMM yyyy" name="licenseExpiryDate"/></strong>
                                    </ww:param>
                                </ww:include>

                                <ww:if test="license.partner" >
                                    <ww:include value="/console/include/generic_form_row.jsp">
                                        <ww:param name="label" value="getText('license.userlimit.label')" />
                                        <ww:param name="value">
                                                <ww:property value="license.partner"/>
                                        </ww:param>
                                    </ww:include>
                                </ww:if>

                                <ww:include value="/console/include/generic_form_row.jsp">
                                    <ww:param name="label" value="getText('license.userlimit.label')" />
                                    <ww:param name="value">
                                        <ww:if test="license.users == 10000" >
                                            <ww:property value="getText('license.unlimited.label')"/>
                                        </ww:if>
                                        <ww:else>
                                            <ww:property value="license.users" />
                                        </ww:else>
                                    </ww:param>
                                </ww:include>

                                <ww:include value="/console/include/generic_form_row.jsp">
                                    <ww:param name="label" value="getText('license.userresources.label')" />
                                    <ww:param name="value">
                                            <ww:property value="currentResources" />
                                    </ww:param>
                                </ww:include>

                                <ww:include value="/console/include/generic_form_row.jsp">
                                    <ww:param name="label" value="getText('systeminfo.serverid.label')" />
                                    <ww:param name="value">
                                            <ww:property value="serverId" />
                                    </ww:param>
                                </ww:include>

                                <input type="hidden" name="tab" value="3" />

                                <ww:textarea name="key" rows="8" cols="60">
                                    <ww:param name="label" value="getText('license.key.label')" />
                                    <ww:param name="description">
                                        <ww:text name="license.key.description.1"/>
                                        <a href="<ww:url value="http://www.atlassian.com/ex/GenerateLicense.jspa">
                                            <ww:param name="product" value="@com.atlassian.crowd.integration.Constants@APPLICATION_NAME" />
                                            <ww:param name="version" value="@com.atlassian.crowd.util.build.BuildUtils@BUILD_VERSION" />
                                            <ww:param name="sid" value="serverId" />
                                            <ww:param name="ref" value="'prod'" />
                                            </ww:url>">
                                            <ww:text name="license.key.description.2"/></a>
                                    </ww:param>
                                </ww:textarea>
                            </div>

                            <div class="formFooter wizardFooter">
                                <div class="buttons">
                                    <input type="submit" class="button" value="<ww:property value="getText('update.label')"/> &raquo;"/>
                                    <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>" onClick="window.location='<ww:url namespace="/console/secure/options" action="view" method="default" includeParams="none" ><ww:param name="tab" value="3"/></ww:url>';"/>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>

                <div class="tabContent" id="tab4">

                    <div class="crowdForm">
                        <form method="post" action="<ww:url namespace="/console/secure/options" action="mailserver" includeParams="none" />" name="mailserver">
                            <div class="formBody">
                                <ww:include value="/console/include/generic_errors.jsp"/>

                                <input type="hidden" name="tab" value="4" />

                                <ww:textfield name="notificationEmail" size="50">
                                    <ww:param name="label" value="getText('mailserver.notification.label')" />
                                    <ww:param name="description"><ww:property value="getText('mailserver.notification.description')"/></ww:param>
                                </ww:textfield>

                                <ww:textfield name="host" size="50">
                                    <ww:param name="label" value="getText('mailserver.host.label')" />
                                    <ww:param name="description"><ww:property value="getText('mailserver.host.description')"/></ww:param>
                                </ww:textfield>

                                <ww:textfield name="from" size="50">
                                    <ww:param name="label" value="getText('mailserver.from.label')" />
                                    <ww:param name="description"><ww:property value="getText('mailserver.from.description')"/></ww:param>
                                </ww:textfield>

                                <ww:textfield name="prefix" size="50">
                                    <ww:param name="label" value="getText('mailserver.prefix.label')" />
                                    <ww:param name="description"><ww:property value="getText('mailserver.prefix.description')"/></ww:param>
                                </ww:textfield>

                                <ww:textfield name="username" >
                                    <ww:param name="label" value="getText('mailserver.username.label')" />
                                    <ww:param name="description"><ww:property value="getText('mailserver.username.description')"/></ww:param>
                                </ww:textfield>

                                <ww:password name="password" >
                                    <ww:param name="label" value="getText('mailserver.password.label')" />
                                    <ww:param name="description"><ww:property value="getText('mailserver.password.description')"/></ww:param>
                                </ww:password>
                            </div>
                            <div class="formFooter wizardFooter">

                                <div class="buttons">
                                    <input type="submit" class="button" value="<ww:property value="getText('update.label')"/> &raquo;"/>
                                    <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>" onClick="window.location='<ww:url namespace="/console/secure/options" action="view" method="default" includeParams="none"><ww:param name="tab" value="4"/></ww:url>';"/>
                                </div>
                            </div>

                        </form>

                    </div>

                </div>

                <div class="tabContent" id="tab5">

                    <div class="crowdForm">
                        <form method="post" action="<ww:url namespace="/console/secure/options" action="mailtemplate" includeParams="none"/>" name="mailtemplate">
                            <div class="formBody">
                                <ww:include value="/console/include/generic_errors.jsp"/>

                                <input type="hidden" name="tab" value="5" />

                                <ww:textarea name="template" rows="10" cols="80" >
                                    <ww:param name="label" value="getText('mailtemplate.template.label')" />
                                    <ww:param name="description"><ww:property value="getText('mailtemplate.template.description')"/></ww:param>
                                </ww:textarea>
                            </div>
                            <div class="formFooter wizardFooter">

                                <div class="buttons">
                                    <input type="submit" class="button" value="<ww:property value="getText('update.label')"/> &raquo;"/>
                                    <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>" onClick="window.location='<ww:url namespace="/console/secure/options" action="view" method="default" includeParams="none" ><ww:param name="tab" value="5"/></ww:url>';"/>
                                </div>
                            </div>

                        </form>

                    </div>

                </div>

                <div class="tabContent" id="tab6">

                    <div class="crowdForm">
                        <form method="post" action="<ww:url namespace="/console/secure/options" action="session" method="update" includeParams="none"/>" name="session">
                            <div class="formBody">
                                <ww:include value="/console/include/generic_errors.jsp"/>

                                <input type="hidden" name="tab" value="6" />

                                <ww:textfield name="sessionTime" >
                                    <ww:param name="label" value="getText('session.sessiontime.label')" />
                                    <ww:param name="description"><ww:property value="getText('session.sessiontime.description')"/></ww:param>
                                </ww:textfield>
                            </div>

                            <div class="formFooter wizardFooter">

                                <div class="buttons">
                                    <input type="submit" class="button" value="<ww:property value="getText('update.label')"/> &raquo;"/>
                                    <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>" onClick="window.location='<ww:url namespace="/console/secure/options" action="view" method="default" includeParams="none"><ww:param name="tab" value="6"/></ww:url>';"/>
                                </div>
                            </div>

                        </form>
                    </div>

                </div>
            </div>
    </body>
</html>